2016年09月09日

gnutls-3.4.15 (OpenBSD 6.0 自作パッケージソース)

GNUTLS-SA-2016-3「OCSP validation issue」 を修正した gnutls-3.4.15 のパッケージソースを作ってみました。
これは標準パッケージの gnutls-3.4.14 をそのまま置き換えますが、互換性の問題で不具合が発生する可能性があります。ご利用に当たっては自己責任でお願いします。
gnutls-3.4.15.pkgsrc.tgz をダウンロードし、root権限で以下のように実行してインストールします。
# cd /usr/ports/security
# tar zxvf (somewhere)/gnutls-3.4.15.pkgsrc.tgz
# cd gnutls-3.4.15
# make package
# pkg_add -v -r -i /usr/ports/packages/`machine`/all/gnutls-3.4.15.tgz
これは OpenBSD プロジェクトによる gnutls-3.4.14 のパッケージを gnutls-3.4.15 に合わせて手直ししただけで、全ての動作を確認したものではありません。あくまで自己責任でご利用ください。
ラベル:gnutls
posted by yamaga at 08:19| Comment(0) | TrackBack(0) | OpenBSD | このブログの読者になる | 更新情報をチェックする
この記事へのコメント
コメントを書く
お名前: [必須入力]

メールアドレス:

ホームページアドレス:

コメント: [必須入力]

認証コード: [必須入力]


※画像の中の文字を半角で入力してください。
※ブログオーナーが承認したコメントのみ表示されます。

この記事へのトラックバック